Bug 488964 - RHEL 5.4: hpilo - backport of bugfixes and updates from upstream
RHEL 5.4: hpilo - backport of bugfixes and updates from upstream
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: 5.4
Assigned To: Tony Camuso
Red Hat Kernel QE team
:
Depends On:
Blocks: 451642
  Show dependency treegraph
 
Reported: 2009-03-06 10:25 EST by Tony Camuso
Modified: 2012-06-01 11:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Increment hpilo version (2.37 KB, patch)
2009-03-06 10:40 EST, Tony Camuso
no flags Details | Diff
Update version number (941 bytes, patch)
2009-03-06 10:42 EST, Tony Camuso
no flags Details | Diff
Include HP brand for hpilo support (1.10 KB, patch)
2009-03-06 10:43 EST, Tony Camuso
no flags Details | Diff
Patch with Jarod's suggestions (3.60 KB, patch)
2009-03-12 15:11 EDT, Tony Camuso
no flags Details | Diff

  None (edit)
Description Tony Camuso 2009-03-06 10:25:40 EST
Description of problem:

. open/close timeout value too small
. only supports COMPAQ brand, but needs to support HP as well 

Version-Release number of selected component (if applicable):

. Current 0.5, must be upgraded to 1.0

How reproducible:


Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:
. N/A

Expected results:
. N/A

Additional info:

HP considers these hpilo driver updates to be important and would very much like to see them included with RHEL5.4.

The patches are attached in succeeding entries.
Comment 1 Tony Camuso 2009-03-06 10:40:50 EST
Created attachment 334303 [details]
Increment hpilo version

Lengthen timeouts for open/close. Perform proper cleanup of channel on a failed open.
Comment 2 Tony Camuso 2009-03-06 10:42:09 EST
Created attachment 334304 [details]
Update version number

Update the version number to indicate that the opne/close bug is fixed.
Comment 3 Tony Camuso 2009-03-06 10:43:24 EST
Created attachment 334305 [details]
Include HP brand for hpilo support

Previous versions of hpilo only supported the COMPAQ brand.
Comment 4 Tony Camuso 2009-03-12 15:11:16 EDT
Created attachment 334994 [details]
Patch with Jarod's suggestions

Here is a conflated version of the upstream patches including the suggestions made by Jarod Wilson.
Comment 5 RHEL Product and Program Management 2009-03-27 09:28:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Tony Camuso 2009-04-21 11:32:22 EDT
Though I believe this patch has been ACK'd, I don't see it in the latest pull of 5.4.

Is there anything else that I need to do?
Comment 7 Don Zickus 2009-04-27 11:59:56 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 Sandy Garza 2009-07-02 11:19:41 EDT
Verified successfully with RHEL 5.4 Beta.
Comment 10 Chris Ward 2009-07-03 14:26:39 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 12 errata-xmlrpc 2009-09-02 04:52:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.